Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Child_Process Class Template Reference

Helper class for the child process created in TAO_AV_Endpoint_Process_Strategy. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Child_Process:

[legend]
Collaboration diagram for TAO_AV_Child_Process:

[legend]
List of all members.

## Public Methods
| TAO_AV_Child_Process ()
| Constructor. More...
virtual | ~TAO_AV_Child_Process ()
| Destructor. More...
int | init (int argc, char **argv, CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)
| Initializes the ORB, creates and activates the T_StreamEndpoint, T_VDev, T_MediaCtrl in the POA. More...
int | run (ACE_Time_Value *tv=0)
| runs the ORB event loop. More...
## Protected Methods
int | activate_objects (int argc, char **argv ACE_ENV_ARG_DECL)
| Creates the objects and inserts them into the Naming Service, so the parent can pick the IOR's and return them to the client. More...
char * | activate_with_poa (PortableServer::Servant servant ACE_ENV_ARG_DECL)
| activate the servant with the poa. More...
int | unbind_names (void)
| Removes the vdev and streamendpoint names from the naming service. More...
int | bind_to_naming_service (ACE_ENV_SINGLE_ARG_DECL)
| Binds to the naming service. More...
int | register_vdev (ACE_ENV_SINGLE_ARG_DECL)
| Registers vdev with the naming service. More...
int | register_stream_endpoint (ACE_ENV_SINGLE_ARG_DECL)
| Registers stream_endpoint with the naming service. More...
int | release_semaphore ()
| Releases the semaphore on which the parent is waiting on. More...
virtual int | make_vdev (T_VDev *&vdev)
| Bridge method to create a vdev, a la Acceptor. Applications can override this. More...
virtual int | make_stream_endpoint (T_StreamEndpoint *&stream_endpoint)
| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this. More...
virtual int | make_mediactrl (T_MediaCtrl *&media_ctrl)
| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this. More...
## Protected Attributes
CosNaming::NamingContext_var | naming_context_
| The root Naming Context of the TAO naming service. More...
CosNaming::Name | vdev_name_
| Name of the vdev. More...
CosNaming::Name | stream_endpoint_name_
| Name of the stream_endpoint. More...
T_StreamEndpoint * | stream_endpoint_
| The stream endpoint member. More...
T_VDev * | vdev_
| The virtual device. More...
CORBA::Object_var | vdev_obj_
| Virtual device CORBA object reference. More...
T_MediaCtrl * | media_ctrl_
| Media controller. More...
CORBA::Object_var | media_ctrl_obj_
pid_t | pid_
| pid of this process. More...
char | host_ [MAXHOSTNAMELEN]
| Name of the host. More...
CORBA::ORB_ptr | orb_
PortableServer::POA_ptr | poa_

## Detailed Description

### template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
class TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >

Helper class for the child process created in TAO_AV_Endpoint_Process_Strategy.

## Constructor & Destructor Documentation

template<class T_StreamEndpoint_B, class T_VDev, class T_MediaCtrl>
TAO_AV_Child_Process< T_StreamEndpoint_B, T_VDev, T_MediaCtrl >::TAO_AV_Child_Process | ( |  | ) |

| Constructor.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::~TAO_AV_Child_Process | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_objects | ( | int | argc,
|  | char **argv | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Creates the objects and inserts them into the Naming Service, so the parent can pick the IOR's and return them to the client.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
char * TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_with_poa | ( | PortableServer::Servant servant | ACE_ENV_ARG_DECL | ) | `[protected]`

| activate the servant with the poa.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::bind_to_naming_service | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Binds to the naming service.

template<class T_StreamEndpoint_B, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint_B, T_VDev, T_MediaCtrl >::init | ( | int | argc,
|  | char ** | argv,
|  | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa
| ) |

| Initializes the ORB, creates and activates the T_StreamEndpoint, T_VDev, T_MediaCtrl in the POA.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::make_mediactrl | ( | T_MediaCtrl *& | media_ctrl | ) | `[protected, virtual]`

| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::make_stream_endpoint | ( | T_StreamEndpoint *& | stream_endpoint | ) | `[protected, virtual]`

| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::make_vdev | ( | T_VDev *& | vdev | ) | `[protected, virtual]`

| Bridge method to create a vdev, a la Acceptor. Applications can override this.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::register_stream_endpoint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Registers stream_endpoint with the naming service.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::register_vdev | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Registers vdev with the naming service.

template<class T_StreamEndpoint_B, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint_B, T_VDev, T_MediaCtrl >::release_semaphore | ( |  | ) | `[protected]`

| Releases the semaphore on which the parent is waiting on.

template<class T_StreamEndpoint_B, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint_B, T_VDev, T_MediaCtrl >::run | ( | ACE_Time_Value * | tv = 0 | ) |

| runs the ORB event loop.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Child_Process< T_StreamEndpoint, T_VDev, T_MediaCtrl >::unbind_names | ( | void |  | ) | `[protected]`

| Removes the vdev and streamendpoint names from the naming service.

## Member Data Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
char TAO_AV_Child_Process::host_[MAXHOSTNAMELEN]`[protected]`

| Name of the host.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_MediaCtrl* TAO_AV_Child_Process::media_ctrl_`[protected]`

| Media controller.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CORBA::Object_var TAO_AV_Child_Process::media_ctrl_obj_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CosNaming::NamingContext_var TAO_AV_Child_Process::naming_context_`[protected]`

| The root Naming Context of the TAO naming service.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CORBA::ORB_ptr TAO_AV_Child_Process::orb_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
pid_t TAO_AV_Child_Process::pid_`[protected]`

| pid of this process.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
PortableServer::POA_ptr TAO_AV_Child_Process::poa_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_StreamEndpoint* TAO_AV_Child_Process::stream_endpoint_`[protected]`

| The stream endpoint member.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CosNaming::Name TAO_AV_Child_Process::stream_endpoint_name_`[protected]`

| Name of the stream_endpoint.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_VDev* TAO_AV_Child_Process::vdev_`[protected]`

| The virtual device.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CosNaming::Name TAO_AV_Child_Process::vdev_name_`[protected]`

| Name of the vdev.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CORBA::Object_var TAO_AV_Child_Process::vdev_obj_`[protected]`

| Virtual device CORBA object reference.

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp